name: cs533
channels:
- conda-forge
dependencies:
# core libraries
- python=3.9
- numpy>=1.17
- pandas>=1.2
# statistical libraries
- statsmodels
- scikit-learn
# plotting libraries
- matplotlib
- seaborn
- plotnine
# interaction support
- notebook
- jupyterlab
# extra stuff (used for my own prep)
- sympy
# utilities
- ipywidgets
- tqdm
- seedbank
